From 2e6dd57930dcb5b57d567855d0834df50de7e89e Mon Sep 17 00:00:00 2001
From: Le Wang <le.wang@agworld.com.au>
Date: Thu, 13 Dec 2012 23:46:00 +0800
Subject: [PATCH 2/3] fix org-edit-src-code invoked outside src block

---
 lisp/org-src.el | 11 +++++++----
 1 file changed, 7 insertions(+), 4 deletions(-)

diff --git a/lisp/org-src.el b/lisp/org-src.el
index 6515987..97f473a 100644
--- a/lisp/org-src.el
+++ b/lisp/org-src.el
@@ -221,10 +221,13 @@ buffer."
 	  (let* ((temp (org-edit-src-find-region-and-lang))
 		 (beg (nth 0 temp))
 		 (end (nth 1 temp)))
-	    (if (>= end beg) temp
-	      (goto-char beg)
-	      (insert "\n")
-	      (org-edit-src-find-region-and-lang))))
+	    (if (and beg end)
+		(if (>= end beg)
+		    temp
+		  (goto-char beg)
+		  (insert "\n")
+		  (org-edit-src-find-region-and-lang))
+	      (error "Point not in src block."))))
 	 (full-info (org-babel-get-src-block-info 'light))
 	 (org-mode-p (derived-mode-p 'org-mode)) ;; derived-mode-p is reflexive
 	 (beg (make-marker))
-- 
1.7.11.4

